Get Fulfillment
curl --request GET \
--url https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": 200,
"state": "success",
"message": null,
"data": {
"fulfillment": {
"fulfillmentId": "8f3a9c2e-1d4b-4a8e-9f12-3b7c6d5e4a10",
"orderId": "9f1c2d3e-4b5a-6c7d-8e9f-0a1b2c3d4e5f",
"status": "success",
"serviceId": null,
"trackingNumber": "1Z999AA10123456784",
"trackingUrl": "https://ups.com/track?num=1Z999AA10123456784",
"trackingCompany": "UPS",
"shipmentStatus": "in_transit",
"estimatedDeliveryAt": null,
"events": [
{ "status": "in_transit", "message": null, "location": null, "at": "2026-09-22T09:00:00.000Z", "source": "app" }
],
"lineItems": [{ "id": "3b2a1c0d-9e8f-4a7b-6c5d-4e3f2a1b0c9d", "quantity": 2 }],
"notifyCustomer": true,
"createdAt": "2026-09-22T09:00:00.000Z",
"updatedAt": "2026-09-22T09:00:00.000Z"
}
}
}
Fulfillments
Get Fulfillment
Retrieve a single fulfillment
GET
/
api
/
v1
/
fulfillments
/
{fulfillment_id}
.json
Get Fulfillment
curl --request GET \
--url https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.launchmystore.io/api/v1/fulfillments/{fulfillment_id}.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": 200,
"state": "success",
"message": null,
"data": {
"fulfillment": {
"fulfillmentId": "8f3a9c2e-1d4b-4a8e-9f12-3b7c6d5e4a10",
"orderId": "9f1c2d3e-4b5a-6c7d-8e9f-0a1b2c3d4e5f",
"status": "success",
"serviceId": null,
"trackingNumber": "1Z999AA10123456784",
"trackingUrl": "https://ups.com/track?num=1Z999AA10123456784",
"trackingCompany": "UPS",
"shipmentStatus": "in_transit",
"estimatedDeliveryAt": null,
"events": [
{ "status": "in_transit", "message": null, "location": null, "at": "2026-09-22T09:00:00.000Z", "source": "app" }
],
"lineItems": [{ "id": "3b2a1c0d-9e8f-4a7b-6c5d-4e3f2a1b0c9d", "quantity": 2 }],
"notifyCustomer": true,
"createdAt": "2026-09-22T09:00:00.000Z",
"updatedAt": "2026-09-22T09:00:00.000Z"
}
}
}
Returns one fulfillment of the store, with its tracking timeline. Requires
the
read_orders scope.
Path Parameters
string
required
The fulfillment’s
fulfillmentId.Response
The standard response envelope with the fulfillment underdata.fulfillment — the same object as in
List Fulfillments, including orderId,
shipmentStatus, estimatedDeliveryAt and events[].
{
"status": 200,
"state": "success",
"message": null,
"data": {
"fulfillment": {
"fulfillmentId": "8f3a9c2e-1d4b-4a8e-9f12-3b7c6d5e4a10",
"orderId": "9f1c2d3e-4b5a-6c7d-8e9f-0a1b2c3d4e5f",
"status": "success",
"serviceId": null,
"trackingNumber": "1Z999AA10123456784",
"trackingUrl": "https://ups.com/track?num=1Z999AA10123456784",
"trackingCompany": "UPS",
"shipmentStatus": "in_transit",
"estimatedDeliveryAt": null,
"events": [
{ "status": "in_transit", "message": null, "location": null, "at": "2026-09-22T09:00:00.000Z", "source": "app" }
],
"lineItems": [{ "id": "3b2a1c0d-9e8f-4a7b-6c5d-4e3f2a1b0c9d", "quantity": 2 }],
"notifyCustomer": true,
"createdAt": "2026-09-22T09:00:00.000Z",
"updatedAt": "2026-09-22T09:00:00.000Z"
}
}
}
Error Codes
| Status | Description |
|---|---|
404 | No fulfillment with this id in the store |
401 | Invalid or missing access token |
403 | App doesn’t have the read_orders scope |